develooper Front page | perl.tcltk | Postings from May 2021

Trying to use Tk 8.6

Thread Next
From:
Bill Costa
Date:
May 15, 2021 22:14
Subject:
Trying to use Tk 8.6
Message ID:
CAO0YmrX81bOWbK=Dick107kpnXxN=njwez7e4wpBq3btsXwO4A@mail.gmail.com
On MacOS 10.13.6 I have Perl 5.28 installed in /opt/local/ using
MacPorts.  This works well and no problems installing modules using
`cpanm`.  I installed ActiveState's v8.6 of Tcl which is saved to
`/Library/Frameworks/Tcl.framework/Versions/8.6` and then installed
Tkx.  My problem is I don't know how to make Tkx use the v8.6 version
of Tcl/Tk.  Here is how I think I know that it is not.

$ perl -MTkx -e 'print Tkx::info("patchlevel");'
8.5.9

Any tips on how I can wire in the latest version of Tcl/Tk for Perl usage?

-- 
Bill.Costa@alumni.unh.edu
No good deed goes unpunished.

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About